## org.eclipse.emf.ecore.impl
Class ENamedElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  EClassifierImpl, EEnumLiteralImpl, EPackageImpl, ETypedElementImpl, ETypeParameterImpl

    public abstract class ENamedElementImpl

extends EModelElementImpl
implements ENamedElement

An implementation of the model object 'ENamed Element'.

The following features are implemented:

- `Name`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected java.lang.String` `name` The cached value of the '`Name`' attribute
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `ENamedElementImpl()`

Method Summary
`EList<EObject>` `eContents()` Returns a list view of the content objects; it is unmodifiable.
`EList<EObject>` `eCrossReferences()` Returns a list view of the cross referenced objects; it is unmodifiable.
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getName()` Default is ID if name is null
`java.lang.String` `getNameGen()`
`void` `setName(java.lang.String newName)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

Constructor Detail

### ENamedElementImpl

    protected ENamedElementImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EModelElementImpl`

### getName

    public java.lang.String getName()

  Default is ID if name is null

  Specified by:
    `getName` in interface `ENamedElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ENamedElement.setName(String)`, `EcorePackage.getENamedElement_Name()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getNameGen

    public java.lang.String getNameGen()

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ENamedElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ENamedElement.getName()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `EModelElementImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `EModelElementImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `EModelElementImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `EModelElementImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### eContents

    public EList<EObject> eContents()

  Description copied from interface: `EObject`
  Returns a list view of the content objects; it is unmodifiable.

  This will be the list of `EObject`s determined by the `contents` of the `containment features` of this object's `meta class`. Objects can, `indirectly`, be removed and will change to reflect `container` changes. The implicit `tree` of contents is also directly available.

  Specified by:
    `eContents` in interface `EObject`
  Overrides:
    `eContents` in class `MinimalEObjectImpl`
  Returns:
    a list view of the content objects.
  See Also:
    `EObject.eContainer()`, `EClass.getEAllContainments()`, `EObject.eGet(EStructuralFeature)`, `EcoreUtil.remove(EObject)`, `EObject.eAllContents()`

### eCrossReferences

    public EList<EObject> eCrossReferences()

  Description copied from interface: `EObject`
  Returns a list view of the cross referenced objects; it is unmodifiable.

  This will be the list of `EObject`s determined by the `contents` of the `reference features` of this object's `meta class`, excluding `containment features` and their `opposites`. The cross reference list's iterator will be of type `EContentsEList.FeatureIterator`, for efficient determination of the `feature` of each cross reference in the list, e.g.,

        for (EContentEList.FeatureIterator featureIterator =
              (EContentEList.FeatureIterator)eObject.eCrossReferences().iterator();
             featureIterator.hasNext(); )
        {
          EObject eObject = (EObject)featureIterator.next();
          EReference eReference = (EReference)featureIterator.feature();
          ...
        }

  Specified by:
    `eCrossReferences` in interface `EObject`
  Overrides:
    `eCrossReferences` in class `MinimalEObjectImpl`
  Returns:
    a list view of the cross referenced objects.
  See Also:
    `EObject.eContents()`, `EClass.getEAllReferences()`, `EClass.getEAllContainments()`, `EObject.eGet(EStructuralFeature)`, `EcoreUtil.CrossReferencer`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.